rad2deg
round
Math Functions
PHP Manual

# rand

(PHP 4, PHP 5)

rand — Generate a random integer

### Description

int rand ( void )
int rand ( int `$min` , int `$max` )

If called without the optional `min` , `max` arguments rand() returns a pseudo-random integer between 0 and getrandmax(). If you want a random number between 5 and 15 (inclusive), for example, use rand(5, 15).

> Note: On some platforms (such as Windows), getrandmax() is only 32768. If you require a range larger than 32768, specifying `min` and `max` will allow you to create a range larger than this, or consider using mt_rand() instead.

> Note: As of PHP 4.2.0, there is no need to seed the random number generator with srand() or mt_srand() as this is now done automatically.

### Parameters

`min`

  The lowest value to return (default: 0)

`max`

  The highest value to return (default: getrandmax())

### Return Values

A pseudo random value between `min` (or 0) and `max` (or getrandmax(), inclusive).

### ChangeLog

Version | Description
--- | ---
Since 3.0.7 | In versions before 3.0.7 the meaning of `max` was `range` . To get the same results in these versions the short example should be rand (5, 11) to get a random number between 5 and 15.

### Examples

Example #1 rand() example

`<?php
echo rand() . "\n";
echo rand() . "\n";
echo rand(5, 15);
?>`

The above example will output something similar to:

    7771
    22264
    11

### See Also

- srand()
- getrandmax()
- mt_rand()

rad2deg
round
Math Functions
PHP Manual